Bug 1122990 - [RFE] Display the content of comments instead of the yellow paper sheet icon in webadmin portal
Summary: [RFE] Display the content of comments instead of the yellow paper sheet icon ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.3.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Greg Sheremeta
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On:
Blocks: 1172378
TreeView+ depends on / blocked
 
Reported: 2014-07-24 14:23 UTC by Julio Entrena Perez
Modified: 2016-03-09 20:35 UTC (History)
9 users (show)

Fixed In Version: ovirt-engine-backend-3.6.0-0.0.master.20150412172306.git55ba764
Doc Type: Enhancement
Doc Text:
Previously, when a comment was added to an object, the Administration Portal displayed a yellow paper sheet icon in the "Comment" column. This has now been changed to render the actual comment.
Clone Of:
: 1172378 (view as bug list)
Environment:
Last Closed: 2016-03-09 20:35:47 UTC
oVirt Team: UX
sherold: Triaged+


Attachments (Terms of Use)
new comment column (29.79 KB, image/png)
2015-02-25 23:59 UTC, Greg Sheremeta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 31384 master MERGED webadmin: adding '...' appender to text columns that overflow Never
oVirt gerrit 32209 ovirt-engine-3.5 ABANDONED webadmin: adding '...' appender to text columns that overflow Never
oVirt gerrit 33296 ovirt-engine-3.5 MERGED webadmin: adding '...' appender to text columns that overflow Never
oVirt gerrit 38176 master MERGED webadmin: display contents of comments instead of icon Never

Description Julio Entrena Perez 2014-07-24 14:23:19 UTC
Currently when a comment has been added to an object, webadmin portal displays a yellow paper sheet icon in the "Comment" column.

Customer is requesting that the content of the comment is displayed instead of the yellow icon.

If the comment is longer than the width of the column and consequently the full content of the comment can not be displayed, then as much content as possible should be displayed followed by "..." to indicate that the comment is longer than displayed and that user should hover the mouse over it to be presented with the full content of the comment.

Comment 2 Einav Cohen 2014-08-11 16:02:22 UTC
@Alona: Is the LabelWithTextOverflow that you have introduced in http://gerrit.ovirt.org/#/c/29125/ appropriate for usage in the grids as well (i.e. for text values for which the current column width is not enough in order to be fully displayed)? or will that require a completely different infrastructure?

thanks.

Comment 3 Alona Kaplan 2014-08-12 08:57:28 UTC
The tables' columns already implement mechanism that shows tooltip if the content overflows. So you just need the "...". It is very easy to achieve this by adding "text-overflow: ellipsis" to the style of the column's text.
I"ve sent a patch that doing it- http://gerrit.ovirt.org/#/c/31384/

Now all the comment columns can use regular TextColumnWithTooltip and CommentColumn can be removed.

Comment 4 Einav Cohen 2014-08-12 13:43:18 UTC
(In reply to Alona Kaplan from comment #3)
> The tables' columns already implement mechanism that shows tooltip if the
> content overflows. So you just need the "...". It is very easy to achieve
> this by adding "text-overflow: ellipsis" to the style of the column's text.
> I"ve sent a patch that doing it- http://gerrit.ovirt.org/#/c/31384/
> 
> Now all the comment columns can use regular TextColumnWithTooltip and
> CommentColumn can be removed.

excellent - I thought that the tool-tip mechanism existed only for the column headers, not for the column "body"s. 
many thanks, Alona - much appreciated!

Comment 5 Greg Sheremeta 2014-12-09 01:07:57 UTC
Einav, what if some people like the bubble? Since we don't have a way to set a preference in the application, I worry this could upset some users.

Comment 6 Julio Entrena Perez 2014-12-09 09:19:08 UTC
Original request was not to remove the bubble, just to display as much as possible of the content in the column itself, followed by "..." if all the content does not fit in the column.
Users should still be able to hover over it to get the yellow bubble.

Comment 7 Einav Cohen 2014-12-09 17:25:49 UTC
(In reply to Greg Sheremeta from comment #5)
> Einav, what if some people like the bubble? Since we don't have a way to set
> a preference in the application, I worry this could upset some users.

as Julio mentioned: we are just replacing the yellow "postit" icon with the content of the comment; now that we have the "text-overflow: ellipsis" in place, we are still expected to display a tool-tip in case the comment cannot be fully displayed in its currently-allocated space (based on the column's width). 

for users that are worried about real-estate: the comment-column default width should be something wider than it is right now, however users to which the comment's content wouldn't really matter will always be able to reduce the column width to something very small (like it is today). 
users that do care about the comment's content may obviously need to reduce the width of other columns in favor of the comment's column width. 
moreover, once bug 957600 will be resolved, the user will be able to hide some columns that are not important for him, in favor of more real-estate to the comment column [or any other column(s) that he finds important]. 

Greg - I hope this answers your question; if not - feel free to 'needinfo' me again. 

thanks.

Comment 8 Einav Cohen 2014-12-09 20:37:52 UTC
there is a chance that the term "bubble" was used here to describe two things: (1) the yellow "postit" icon [Greg]  (2) the tool-tip displayed when hovering on the icon today [Julio]
(I might have misunderstood, don't know)

let's use the "'postit' icon" and "tool-tip" terms, in order to avoid confusion. thanks.

Comment 9 Greg Sheremeta 2015-02-25 19:50:49 UTC
Yeah, I was using "bubble" to mean "post-it". Sorry about that.

No need to reply to my question, though. If people want to, they can shrink the comment column very small. Same effect as the post-it icon.

Comment 10 Greg Sheremeta 2015-02-25 23:59:36 UTC
Created attachment 995390 [details]
new comment column

Comment 13 errata-xmlrpc 2016-03-09 20:35:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.